"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.currentUser = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const bad_request_error_1 = require("../errors/bad-request-error");
const currentUser = (req, res, next) => {
    const bearerHeader = req.headers['authorization'];
    if (typeof bearerHeader !== 'undefined') {
        const bearer = bearerHeader.split(' ');
        const bearerToken = bearer[1];
        try {
            const secretOrPrivateKey = process.env.SECRETORPRIVATEKEY;
            const payload = jsonwebtoken_1.default.verify(bearerToken, secretOrPrivateKey);
            req.currentUser = payload;
            next();
        }
        catch (error) {
            console.log(error);
            next(new bad_request_error_1.BadRequestError('El token ingresado no es válido'));
            // return res.status(401).send({
            //     message: 'El token ingresado no es válido'
            // });
        }
    }
    else {
        // return res.status(401).send({
        //     message: 'No hay token en la petición'
        // });
        next(new bad_request_error_1.BadRequestError('El token ingresado no es válido'));
    }
};
exports.currentUser = currentUser;
//# sourceMappingURL=current-user.js.map